using System.Collections.Generic;
using Yuna.Website.Server.Model;

namespace Yuna.Website.Server.Services.UserService
{
    public interface IUserService
    {
        public Task<User?> GetById(long id);
        public Task<User?> GetByUsername(string username);
        public Task<IReadOnlyList<User>> GetList();
        public Task<User?> Create(User user);
        public Task<User?> Update(User user);
        public Task<User?> Delete(long id);

    }
}
